# Uses of Interface
com.sun.source.tree.AssignmentTree

Packages that use AssignmentTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of AssignmentTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type AssignmentTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitAssignment(AssignmentTree node, P p)`
Visits an AssignmentTree node.

## Uses of AssignmentTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type AssignmentTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitAssignment(AssignmentTree node, P p)`
Visits an AssignmentTree node.
`R`
TreeScanner.`visitAssignment(AssignmentTree node, P p)`
Visits an AssignmentTree node.